#
# spec file for package alsa-tools
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define build_hwdep_loader	0
Name:           alsa-tools
Version:        1.2.14
Release:        28.1
Summary:        Various ALSA Tools
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Utilities
URL:            https://www.alsa-project.org/
Source:         https://www.alsa-project.org/files/pub/tools/alsa-tools-%{version}.tar.bz2
Source1:        https://www.alsa-project.org/files/pub/tools/alsa-tools-%{version}.tar.bz2.sig
Source2:        %{name}.keyring
Source3:        README.SUSE
Source4:        sbipatches.tar.bz2
Source5:        rmedigicontrol.desktop
Source7:        rmedigicontrol.png
# upstream fixes
# build fixes
Patch101:       alsa-tools-no_m4_dir.dif
BuildRequires:  alsa-devel
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  gobject-introspection
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  libtool
BuildRequires:  update-desktop-files

%description
This is a meta package for collection of sub-packages.

%package -n as10k1
Version:        A0.99
Release:        28.1
Summary:        Emu10k1 DSP assembler
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools = 1.0.28
Obsoletes:      alsa-tools <= 1.0.28

%description -n as10k1
Assmbler for emu10k1 DSP chip present in Creative SB Live, PCI 512 and
Emu APS sound cards.

%package -n hda-verb
Version:        0.4
Release:        28.1
Summary:        HD-audio jack retasking tool
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools:/usr/bin/hda-verb

%description -n hda-verb
hda-verb is a small program to send HD-audio commands to the given
ALSA hwdep device on the hd-audio interface.

%package -n hdsploader
Version:        1.2
Release:        28.1
Summary:        Firmware loader for RME Hammerfall DSP cards
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       alsa-firmware
Provides:       alsa-tools:/usr/bin/hdsploader

%description -n hdsploader
This is the firmware loader program for RME Hammerfall DSP cards.

%package -n ld10k1
Version:        0.1.8p1
Release:        28.1
Summary:        Emu10k1 patch loader for ALSA
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools:/usr/bin/lo10k1

%description -n ld10k1
This package contains the patch loader program for Emu10k1 and Emu10k1 on ALSA.

%package -n liblo10k1-0
Version:        0.1.8p1
Release:        28.1
Summary:        Emu10k1 patch loader library
Group:          System/Libraries

%description -n liblo10k1-0
This package contains the patch loader program for Emu10k1 and Emu10k1 on ALSA.

%package -n ld10k1-devel
Version:        0.1.8p1
Release:        28.1
Summary:        Header files for the Emu10k1 patch loader
Group:          Development/Libraries/C and C++
Requires:       liblo10k1-0 = 0.1.8p1
Provides:       alsa-tools-devel = 1.0.28
Obsoletes:      alsa-tools-devel <= 1.0.28

%description -n ld10k1-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package -n us428control
Version:        0.4.6
Release:        28.1
Summary:        Sound Blaster 16 ASP/CSP control program
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       alsa-firmware
Provides:       alsa-tools:/usr/bin/us428control

%description -n us428control
This package contains a control tool for Tascam US-X2Y audio devices

%package -n usx2yloader
Version:        0.3
Release:        28.1
Summary:        Second phase firmware loader for Tascam USX2Y USB soundcards
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       alsa-firmware
Requires:       fxload
Provides:       alsa-tools:/usr/bin/usx2yloader

%description -n usx2yloader
Usx2yloader is a helper program to load the 2nd Phase firmware binaries
onto the Tascam USX2Y USB soundcards.

%package -n sbiload
Version:        0.4.0
Release:        28.1
Summary:        OPL2/3 FM instrument loader
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools:/usr/bin/sbiload

%description -n sbiload
sbiload is an OPL2/3 FM instrument loader for ALSA hwdep.

%package -n cspctl
Version:        0.3.5a
Release:        28.1
Summary:        Sound Blaster 16 ASP/CSP control program
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       kernel-firmware
Provides:       alsa-tools:/usr/bin/cspctl

%description -n cspctl
cspctl is a control program for Sound Blaster 16 ASP/CSP chips.

%package -n sscape-ctl
Version:        0.1.0
Release:        28.1
Summary:        Sound Blaster 16 ASP/CSP control program
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools:/usr/bin/sscape_ctl

%description -n sscape-ctl
This package contains a control utility program for SoundScape cards

%package -n mixartloader
Version:        1.0
Release:        28.1
Summary:        Firmware loader for Digigram miXart boards
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       alsa-firmware

%description -n mixartloader
mixartloader is a helper program to load the firmware binaries
onto the Digigram miXart board sound drivers.

%package -n pcxhrloader
Version:        1.0
Release:        28.1
Summary:        Firmware loader for Digigram pcxhr boards
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       alsa-firmware

%description -n pcxhrloader
pcxhrloader is a helper program to load the firmware binaries
onto Digigram PCXHR compatible board sound drivers.

%package -n vxloader
Version:        1.0
Release:        28.1
Summary:        Firmware loader for Digigram VX-board sound cards
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       alsa-firmware

%description -n vxloader
mixartloader is a helper program to load the firmware binaries
onto the Digigram VX-board sound drivers.

%package -n hwmixvolume
Version:        0.9
Release:        28.1
Summary:        GUI tool to set individual hardware stream volumes
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       python3-alsa
Provides:       alsa-tools-gui = 1.0.28
Obsoletes:      alsa-tools-gui <= 1.0.28

%description -n hwmixvolume
This tool allows you to control the volume of individual streams on
sound cards that use hardware mixing, i.e., those based on the
following chips: Creative Emu10k1, VIA VT823x southbridge, Yamaha DS-1

%package -n echomixer
Version:        1.0.5
Release:        28.1
Summary:        Echoaudio console application
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools-gui:/usr/bin/echomixer

%description -n echomixer
This is Linux-equivalent of the Echoaudio console application.

%package -n envy24control
Version:        0.6.0
Release:        28.1
Summary:        Control tool for Envy24 (ice1712) based soundcards
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools-gui:/usr/bin/envy24control

%description -n envy24control
envy24control is a GUI control tool for Envy24 (ice1712) based sound cards.

%package -n rmedigicontrol
Version:        0.3.5a
Release:        28.1
Summary:        GUI control tool for RME Digi32 and RME Digi96 soundcards
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools-gui:/usr/bin/rmedigicontrol

%description -n rmedigicontrol
Rmedigicontrol is a control tool for RME Digi32 and RME Digi96 soundcards.
It depends on ALSA and GTK+ and offers a graphical frontend for all your
switches.

%package -n hdajackretask
Version:        0.20120413
Release:        28.1
Summary:        HD-audio jack retasking tool
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools-gui:/usr/bin/hdajackretask

%description -n hdajackretask
hdajackretask is a GUI tool to make it easy to retask HD-audio jacks.

%package -n hdajacksensetest
Version:        0.20141006
Release:        28.1
Summary:        Tool to check HD-audio jack/pin status
Group:          Productivity/Multimedia/Sound/Utilities

%description -n hdajacksensetest
hdajacksensetest is a small program to check the current pin/jack status
of the HD-audio codec.

%package -n hdspconf
Version:        1.4
Release:        28.1
Summary:        GUI to control Hammerfall HDSP settings
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools-gui:/usr/bin/hdspconf

%description -n hdspconf
HDSPConf is a GUI to control the Hammerfall HDSP Alsa Settings.
Up to four hdsp cards are supported.

%package -n hdspmixer
Version:        1.11
Release:        28.1
Summary:        GUI tool to control advanced routing of RME Hammerfall DSP cards
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       alsa-tools-gui:/usr/bin/hdspmixer

%description -n hdspmixer
HDSPMixer is the Linux equivalent of the Totalmix application from RME.
It is a tool to control the advanced routing features of the RME
Hammerfall DSP soundcard series.

%prep
%setup -q -a 4
cp %{SOURCE3} .
%patch -P 101 -p1

sed -i '1s@/usr/bin/env python$@/usr/bin/python3@' hwmixvolume/hwmixvolume

ALL_PACKS="seq/sbiload hdsploader usx2yloader us428control as10k1 ld10k1 hwmixvolume hda-verb"
%ifarch %ix86
ALL_PACKS="$ALL_PACKS sb16_csp sscape_ctl"
%endif

%if %{build_hwdep_loader}
ALL_PACKS="$ALL_PACKS pcxhrloader mixartloader vxloader"
%endif

ALL_PACKS="$ALL_PACKS envy24control rmedigicontrol echomixer"
ALL_PACKS="$ALL_PACKS hdajackretask hdajacksensetest"
ALL_PACKS="$ALL_PACKS hdspconf hdspmixer"
echo "$ALL_PACKS" > .allpacks

%build
export AUTOMAKE_JOBS="%{?_smp_mflags}"
for d in `cat .allpacks`; do
  (cd $d
  autoreconf -fi
  %configure
  make %{?_smp_mflags}
  )
done
# compile as10k1 examples
make -C as10k1/examples dsp %{?_smp_mflags}

%install
for d in `cat .allpacks`; do
  (cd $d
make DESTDIR=%{buildroot} install %{?_smp_mflags}
  )
done
find %{buildroot} -type f -name "*.la" -delete -print
# remove obsolete hotplug files
rm -rf %{buildroot}%{_sysconfdir}/hotplug
# install desktop files
%suse_update_desktop_file envy24control AudioVideo Mixer GTK
%suse_update_desktop_file -i rmedigicontrol AudioVideo Mixer GTK
%suse_update_desktop_file hdspconf AudioVideo Utility
%suse_update_desktop_file hdspmixer AudioVideo Mixer
%suse_update_desktop_file hdajackretask AudioVideo Utility
%suse_update_desktop_file hwmixvolume AudioVideo Mixer
%suse_update_desktop_file echomixer AudioVideo Mixer
# opl3 sounds
mkdir -p %{buildroot}%{_datadir}/sounds/opl3
install -c -m 0644 *.o3 *.sb %{buildroot}%{_datadir}/sounds/opl3
# clean up Makefiles in doc and examples subdirs for installation
rm -f as10k1/examples/Makefile*
rm -f ld10k1/doc/Makefile*

%post -n envy24control
%{?desktop_database_post}
exit 0

%postun -n envy24control
%{?desktop_database_postun}
exit 0

%post -n rmedigicontrol
%{?desktop_database_post}
exit 0

%postun -n rmedigicontrol
%{?desktop_database_postun}
exit 0

%post -n hdspconf
%{?desktop_database_post}
exit 0

%postun -n hdspconf
%{?desktop_database_postun}
exit 0

%post -n hdspmixer
%{?desktop_database_post}
exit 0

%postun -n hdspmixer
%{?desktop_database_postun}
exit 0

%post -n hwmixvolume
%{?desktop_database_post}
exit 0

%postun -n hwmixvolume
%{?desktop_database_postun}
exit 0

%post -n echomixer
%{?desktop_database_post}
exit 0

%postun -n echomixer
%{?desktop_database_postun}
exit 0

%post -n hdajackretask
%{?desktop_database_post}
exit 0

%postun -n hdajackretask
%{?desktop_database_postun}
exit 0

%post   -n liblo10k1-0 -p /sbin/ldconfig
%postun -n liblo10k1-0 -p /sbin/ldconfig

%files -n as10k1
%{_bindir}/as10k1
%doc as10k1/COPYING
%doc as10k1/README
%doc as10k1/examples

%files -n hda-verb
%{_bindir}/hda-verb
%doc hda-verb/ChangeLog
%doc hda-verb/README

%files -n ld10k1
%{_sbindir}/ld10k1
%{_sbindir}/ld10k1d
%{_sbindir}/dl10k1
%{_bindir}/lo10k1
%{_bindir}/init_*
%{_datadir}/ld10k1
%doc ld10k1/AUTHORS
%doc ld10k1/COPYING
%doc ld10k1/README
%doc ld10k1/doc

%files -n liblo10k1-0
%{_libdir}/liblo10k1.so.*

%files -n ld10k1-devel
%{_includedir}/lo10k1
%{_libdir}/liblo10k1.so
%{_datadir}/aclocal/*.m4

%files -n sbiload
%{_bindir}/sbiload
%{_datadir}/sounds/opl3
%doc seq/sbiload/COPYING
%doc seq/sbiload/README

%files -n hdsploader
%{_bindir}/hdsploader
%doc hdsploader/AUTHORS
%doc hdsploader/COPYING
%doc hdsploader/README

%files -n usx2yloader
%{_bindir}/usx2yloader
%doc usx2yloader/README

%files -n us428control
%{_bindir}/us428control

%files -n hwmixvolume
%{_bindir}/hwmixvolume
%{_datadir}/applications/hwmixvolume.desktop
%{_datadir}/icons/hicolor/*/apps/hwmixvolume.png
%doc hwmixvolume/README

%if %{build_hwdep_loader}
%files -n pcxhrloader
%{_bindir}/pcxhrloader
%doc pcxhrloader/README

%files -n mixartloader
%{_bindir}/mixartloader
%doc mixartloader/README

%files -n vxloader
%{_bindir}/vxloader
%doc vxloader/README
%endif

%ifarch %ix86
%files -n sscape-ctl
%{_bindir}/sscape_ctl

%files -n cspctl
%{_bindir}/cspctl
%doc sb16_csp/README
%{_mandir}/man?/cspctl.*
%endif

%files -n envy24control
%{_bindir}/envy24control
%{_datadir}/applications/envy24control.desktop
%{_datadir}/icons/hicolor/*/apps/envy24control.png
%{_mandir}/man?/envy24control.*
%doc envy24control/AUTHORS
%doc envy24control/COPYING
%doc envy24control/README*

%files -n rmedigicontrol
%{_bindir}/rmedigicontrol
%{_datadir}/applications/rmedigicontrol.desktop
%{_datadir}/pixmaps/rmedigicontrol.png
%doc rmedigicontrol/AUTHORS
%doc rmedigicontrol/COPYING
%doc rmedigicontrol/README

%files -n echomixer
%{_bindir}/echomixer
%{_datadir}/applications/echomixer.desktop
%{_datadir}/icons/hicolor/*/apps/echomixer.png
%doc echomixer/AUTHORS
%doc echomixer/ChangeLog
%doc echomixer/COPYING
%doc echomixer/README

%files -n hdajackretask
%{_bindir}/hdajackretask
%{_datadir}/applications/hdajackretask.desktop
%{_datadir}/icons/hicolor/*/apps/hdajackretask.png
%doc hdajackretask/AUTHORS
%doc hdajackretask/README

%files -n hdajacksensetest
%{_bindir}/hdajacksensetest

%files -n hdspconf
%{_bindir}/hdspconf
%{_datadir}/applications/hdspconf.desktop
%{_datadir}/icons/hicolor/*/apps/hdspconf.png
%doc hdspconf/AUTHORS
%doc hdspconf/ChangeLog
%doc hdspconf/COPYING
%doc hdspconf/README

%files -n hdspmixer
%{_bindir}/hdspmixer
%{_datadir}/applications/hdspmixer.desktop
%{_datadir}/icons/hicolor/*/apps/hdspmixer.png
%doc hdspconf/AUTHORS
%doc hdspconf/ChangeLog
%doc hdspconf/COPYING
%doc hdspconf/README

%changelog
* Tue Apr 15 2025 Takashi Iwai <tiwai@suse.com>
- Update to alsa-tools 1.2.14:
  * envy24control: port to GTK 3
  * hdspmixer: correct string delimiter in labels_aio_ss_input
  * Fix various gcc warnings
- Drop obsoleted patch:
  0001-hdajackretask-Fix-build-with-gcc7.patch
- Clean up spec file, build with gtk3 unconditionally
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Fri Feb  2 2024 Takashi Iwai <tiwai@suse.com>
- Update to version 1.2.11:
  * hdajackretask: resolution limit for wide screen, pipewire support
  * hdspmixer: fix coredump
  For details, see:
    https://www.alsa-project.org/wiki/Changes_v1.2.10_v1.2.11#alsa-tools
- Fix build with gcc7:
  0001-hdajackretask-Fix-build-with-gcc7.patch
* Mon Jan 29 2024 Dominique Leuenberger <dimstar@opensuse.org>
- hwmixvolume: replace the unversioned python shebang to point to
  python3 (alsa-project/alsa-tools@fb04384 claims it is compatible
  to python3).
- Change hwmixvolume's dependency on pyalso to python3-alsa: ensure
  we get the main python interpreters' alsa module (matching the
  /usr/bin/python3 shebang) (boo#1219312).
* Wed Nov  9 2022 Takashi Iwai <tiwai@suse.com>
- Add tarball signature and keyring
* Mon May 31 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.2.5 (jsc#PED-6566):
  * hdspmixer: add output loopback buttons
  * hdspmixer: enhance saving of presets
* Fri Oct 23 2020 tiwai@suse.de
- Drop unnecessary buildreq alsa-topology-devel (bsc#1178064)
* Tue Feb 25 2020 Matej Cepl <mcepl@suse.com>
- Update to 1.2.2 (do not support Python 2 and PyGtk).
- Remove
  0001-hdspmixer-Use-__u32-and-__u64-for-RMS-array-types.patch
  which was included upstream.
* Fri Dec 20 2019 tiwai@suse.de
- Fix hdspmixer build error with the latest alsa-lib:
  0001-hdspmixer-Use-__u32-and-__u64-for-RMS-array-types.patch
* Wed Nov 27 2019 tiwai@suse.de
- Drop the superfluous buildreq alsa-topology-devel again;
  it's no longer mandatory
* Thu Nov 21 2019 tiwai@suse.de
- Fix build breakage by the new alsa update; now it requires
  alsa-topology-devel
* Sun Mar 17 2019 Jan Engelhardt <jengelh@inai.de>
- Remove %%if..%%endif guards that do not affect the build.
- Implement shared library packaging policy.
- Update historic boilerplate summary for ld10k1-devel.
- Remove old BuildRoot: and %%defattr.
* Wed Oct 17 2018 tiwai@suse.de
- Update to alsa-tools 1.1.7:
  * ld10k1: define _GNU_SOURCE and use sighandler_t
  * us428control: Fix clang -Wreserved-user-defined-literal warnings
  * hwmixvolume: port to Gtk3+
* Wed Apr  4 2018 tiwai@suse.de
- Update to alsa-tools 1.1.6:
  * hwmixvolume: use python2 directly
  * Change FSF address (Franklin Street)
  * hdspconf, hdspmixer: validate the .desktop files
  * hdajackretask: add .desktop and icon files
  * hdspmixer: move .desktop and icon files to desktop, use modern destination for icons
  * hdspconf: move .desktop and icon files to desktop, use modern destination for icons
  * echomixer: add .desktop and icon files
  * envy24control: add .desktop and icon files
  * hwmixvolume: add .desktop and icon files
  * Makefile: fix version file creation
  * hdajacksensetest: add gitcompile to EXTRA_DIST
- Rename README.SuSE to README.SUSE
- Drop superfluous conditional builds; gtk and fltk are always available
- Remove obsoleted patch
  alsa-tools-desktop-fix.dif
* Tue Nov 14 2017 dimstar@opensuse.org
- Eliminate a few rpmlint warnings:
  + ld10k-devel should require ld10k versioned.
  + Do not package empty ChangeLog files.
* Tue Nov 14 2017 tiwai@suse.de
- Update to alsa-tools 1.1.5:
  * echomixer: obsolete usage of dimension information
  * as10k1: Drop superfluous inline prefix
* Wed Dec 28 2016 tiwai@suse.de
- Really bump the version number to 1.1.3 (sorry, forgot to change
  in Version tag).
* Wed Dec 28 2016 tiwai@suse.de
- Update to alsa-tools-1.1.3:
  just including the previous gcc6 fix.
- Dropped patch: 0001-gcc6-narrowing-error.patch
* Mon Jun 20 2016 tiwai@suse.de
- Upstream fix for gcc6 compile error on ppc:
  0001-gcc6-narrowing-error.patch
* Mon Nov  9 2015 tiwai@suse.de
- Update to alsa-tools 1.1.0:
  just a minor fix for man page
* Fri Oct  2 2015 tiwai@suse.de
- Add missing desktop_database_post/postun macro calls
* Thu Feb 26 2015 tiwai@suse.de
- Update to alsa-tools 1.0.29:
  just a version bump including the previous fixes
- Drop obsoleted patches:
  0001-ld10k1-Fix-missing-parentheses-for-functions.patch
  0002-hdajackretask-Add-hints-functionality.patch
  0003-Add-a-small-hdajacksensetest-helper.patch
* Fri Oct 17 2014 tiwai@suse.de
- Backport upstream patch for adding hdajacksensetest helper:
  0003-Add-a-small-hdajacksensetest-helper.patch
- Add hdajacksensetest sub-package
* Fri Oct  3 2014 crrodriguez@opensuse.org
- Remove xorg-x11-devel from BuildRequires. x libraries
  are not directly used.
* Fri Sep  5 2014 tiwai@suse.de
- Split to subpckage for each program included in alsa-tools repo:
  as10k1, hda-verb, hdsploader, ld10k1, ld10k1-devel, us428control,
  usx2yloader, sbiload, cspctl, sscape-ctl, hwmixvolume, echomixer,
  envy24contorl, rmedigicontrol, hdajackretesk, hdspconf, hdspmixer.
  alsa-tools, alsa-tools-gui and alsa-tools-devel are obsoleted
* Tue Aug 26 2014 tiwai@suse.de
- Add "hints" function to hdajackretask:
  0002-hdajackretask-Add-hints-functionality.patch
* Tue Jul  1 2014 tiwai@suse.de
- Backport upstream fix:
  0001-ld10k1-Fix-missing-parentheses-for-functions.patch
* Wed Jun 18 2014 tiwai@suse.de
- Updated to alsa-tools 1.0.28:
  All pervious fix patches are obsoleted:
  0001-Add-a-distclean-target-to-example-Makefile.patch
  0002-Fix-spelling-of-successfully.patch
  0003-Fix-bashisms.patch
  0004-Fix-build-errors-caused-by-Werror-format-security.patch
  0005-Add-AM_MAINTAINER_MODE-enable-macro-to-all-configure.patch
  0006-hdajackretask-Fix-killing-PulseAudio-on-newer-PulseA.patch
  0007-hdspmixer-Add-support-for-RME-AIO-AEB-boards.patch
* Tue Mar 11 2014 tiwai@suse.de
- Backport upstream fix for RME AIO AEB:
  0007-hdspmixer-Add-support-for-RME-AIO-AEB-boards.patch
- Run spec-cleaner
* Mon Jun 17 2013 tiwai@suse.de
- Backport upstream fix for new PA:
  0006-hdajackretask-Fix-killing-PulseAudio-on-newer-PulseA.patch
* Thu May 23 2013 tiwai@suse.de
- Backport upstream fixes:
  0001-Add-a-distclean-target-to-example-Makefile.patch
  0002-Fix-spelling-of-successfully.patch
  0003-Fix-bashisms.patch
  0004-Fix-build-errors-caused-by-Werror-format-security.patch
  0005-Add-AM_MAINTAINER_MODE-enable-macro-to-all-configure.patch
- Renumber patch#
- Drop the obsoleted hda-verb.patch again
* Fri May 17 2013 schwab@suse.de
- Readd hda-verb.patch, still needed
* Fri Apr 26 2013 mmeister@suse.com
- Removed AC_CONFIG_MACRO_DIR([m4]) from configure.in of ld10k1 and
  qlo10k1 to fix build with automake-1.13.1:
  alsa-tools-no_m4_dir.dif
* Fri Apr 12 2013 tiwai@suse.de
- Updated to version 1.0.27:
  including previous fixes; all 00*-* patches dropped
* Mon Mar 11 2013 tiwai@suse.de
- Backport upstream fix patches:
  the last one is identical with the previous fix
  0004-hdajackretask-Fix-advanced-override-bug.patch
  0005-hdajackretask-Some-more-UI-fixes.patch
  0006-hda-verb-Remove-superfluous-inclusion-of-sys-io.h.patch
* Wed Mar  6 2013 schwab@suse.de
- hda-verb.patch: remove use of unneded <sys/io.h>
* Fri Nov 30 2012 tiwai@suse.de
- A couple of minor fixes from upstream:
  0001-ac3dec-Show-usage-if-no-parameter-is-passed.patch
  0003-Add-foreign-automake-option-to-hdajackretask-Makefil.patch
* Fri Sep  7 2012 tiwai@suse.de
- Updated to version 1.0.26.1:
  just include all previous fixes
* Tue Jul 31 2012 tiwai@suse.de
- Add missing MYNAME for hda-verb
- move the previous change to an individual patch
* Mon Jul 30 2012 dvaleev@suse.com
- hda-verb/hda-verb.c don't include sys/io.h on ppc
* Fri Jun  8 2012 tiwai@suse.de
- Backport the fix patch for usx2yloader:
  0006-usx2yloader-make-fxload-work-without-deprecated-usbf.patch
* Fri Apr 20 2012 tiwai@suse.de
- Backport upstream patches to add hda-verb program
* Fri Apr 13 2012 tiwai@suse.de
- Backport patches from upstream
  - Update README of hwmixvolume
  - Add hdajackretask program
- Built some ISA-specific programs only for ix86
* Thu Mar  1 2012 aj@suse.de
- Add BuildRequires on xorg-x11-devel.
* Wed Jan 25 2012 tiwai@suse.de
- updated to version 1.0.25; drop gtk1 builds from default,
  fixes for HDSP RPM
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Mon Apr 18 2011 tiwai@suse.de
- Fix the incompatibility with the old hdspmixer config
* Thu Mar 24 2011 tiwai@suse.de
- More updates/fixes of hdspmixer from the upstream (bnc#678389)
* Mon Mar 14 2011 tiwai@suse.de
- Update hdspmixer for fixing RME multiface & others (bnc#678389)
* Mon Jan 31 2011 tiwai@suse.de
- Updated to version 1.0.24.1:
  * including previous fixes
  * Add support of RME MADI, RayDAT and AIO
* Mon Apr 19 2010 tiwai@suse.de
- enabled hwmixvolme, using pyalsa and python-gtk
* Mon Apr 19 2010 tiwai@suse.de
- updated to version 1.0.23:
  * added hwmixvolume
* Fri Dec 18 2009 tiwai@suse.de
- updated to version 1.0.22:
  minor build fixes
* Mon Aug 31 2009 tiwai@suse.de
- updated to version 1.0.21:
  just a version bump including previous fixes
* Mon Jun  8 2009 tiwai@suse.de
- fix array range overflow in us428control (bnc#510855)
* Fri May 29 2009 tiwai@suse.de
- fix envy24control build error with the recent glibc
- remove obsoleted run_ldconfig macro
* Wed May  6 2009 tiwai@suse.de
- updated to version 1.0.20:
  * just a version bump
* Thu Mar  5 2009 ro@suse.de
- fix build
* Thu Jan 22 2009 tiwai@suse.de
- updated to version 1.0.19:
  * just minor packaging updates
* Wed Oct 29 2008 tiwai@suse.de
- updated to version 1.0.18-final:
  * cosmetic changes for Makefile and co.
* Tue Jul 15 2008 tiwai@suse.de
- updated to version 1.0.17-final:
  * just a version bump
* Wed Jun 18 2008 tiwai@suse.de
- updated to version 1.0.17rc1:
  * managed by git now
* Fri Feb  8 2008 tiwai@suse.de
- updated to version 1.0.16-final:
  * just a version bump
* Mon Jan 28 2008 tiwai@suse.de
- take back version number again (alsa-firmware should be fixed
  instead).
* Mon Jan 28 2008 dmueller@suse.de
- fix version number (alsa-tools and alsa-firmware have to be
  in sync)
* Tue Jan 22 2008 tiwai@suse.de
- updated to version 1.0.16rc1:
  * just a version bump
* Thu Dec 13 2007 tiwai@suse.de
- updated to HG 2007.12.15 version:
  * fix sbiload build with the new APIs
  * some hdspmixer fixes
* Mon Oct 22 2007 tiwai@suse.de
- fix build with gcc 4.3
* Tue Oct 16 2007 tiwai@suse.de
- updated to version 1.0.15-final:
  * Fix SPDIF input control on envy24control
* Tue Aug  7 2007 tiwai@suse.de
- don't build (broken) cspctl for powerpc
- don't install zero-size document files
* Wed Jun 20 2007 tiwai@suse.de
- fix errors in desktop files
- fix fdupes usage
* Fri Jun  8 2007 tiwai@suse.de
- fixed the previous broken patch.
- split to devel subpackage for some headers and libs.
- clean up spec file.
* Wed Jun  6 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Mon Jun  4 2007 tiwai@suse.de
- updated to version 1.0.14:
  * misc fixes for qlo10k1 for 64bit archs.
* Wed Mar 14 2007 tiwai@suse.de
- update to version 1.0.14rc3:
  * us428control bumped up to 0.4.6
  * ld10k1 ABI compat fixes
  * fix as10k1 max number of macros
* Tue Jan 16 2007 tiwai@suse.de
- use %%configure.
- take 1.0.14rc1 including the previous hg fix patches
* Tue Oct 17 2006 tiwai@suse.de
- fix wrong comparison with string literal (#211295)
- add mixxx mode to us428control
* Thu Oct  5 2006 tiwai@suse.de
- updated to version 1.0.13:
  * no real change since rc2.
* Fri Sep 22 2006 tiwai@suse.de
- updated to version 1.0.13rc2:
  * Fix ADC controls with higher resolution in envy24control
* Mon Jul 10 2006 tiwai@suse.de
- added fxload to Requires for Tascam usx2yloader (#190172)
* Tue Jul  4 2006 tiwai@suse.de
- updated to version 1.0.12rc1: just some compilation fixes for
  other systems
* Mon May 15 2006 tiwai@suse.de
- updated to version 1.0.11-final.
  the SL1.1 patches have been merged.
* Thu Feb 23 2006 tiwai@suse.de
- added GTK to Categories in some desktop files
* Wed Feb 22 2006 tiwai@suse.de
- fix envy24control on Delta1010LT
* Thu Feb  9 2006 tiwai@suse.de
- fixed ice1712 wordclock setting (ALSA bug#1806).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 tiwai@suse.de
- fix eq10 for sblive
- improved envy24control UI
- removed *.la files.
* Mon Jan  2 2006 tiwai@suse.de
- updated to version 1.0.11rc2.
- fixed requires for alsa-firmware.
* Wed Dec 14 2005 tiwai@suse.de
- updated to version 1.0.11rc1.
* Wed Oct 12 2005 tiwai@suse.de
- updated to version 1.0.10rc2.
* Fri Sep  2 2005 tiwai@suse.de
- Fix segfault of envy24control (#115017)
* Thu Aug 18 2005 tiwai@suse.de
- removed obsolete hotplug files (#105276)
- fix bitops of ld10k1 to be 64bit clean.
* Thu Aug  4 2005 tiwai@suse.de
- updated to cvs 2005.08.04.
* Thu Jun  2 2005 tiwai@suse.de
- updated to version 1.0.9-final
- CVS updates 2005.06.02
* Tue May 24 2005 tiwai@suse.de
- updated to version 1.0.9rc4.
  as10k1, ld10k1 and echomixer are enabled.
* Thu Jan 13 2005 tiwai@suse.de
- updated to version 1.0.8-final.
* Wed Jan  5 2005 tiwai@suse.de
- updated to version 1.0.8rc2.
- split firmware data files to alsa-firmware package.
- removed loader programs replaced with hotplug fw loaders.
* Wed Nov 17 2004 tiwai@suse.de
- updated to version 1.0.7.
- fixed desktop files.
* Thu Sep 30 2004 tiwai@suse.de
- fixed hdsploader.c for the recent change of hdsp.h.
* Wed Sep 15 2004 tiwai@suse.de
- fixed segfault of envy24control with --help option.
- added the missing README.profiles for envy24control.
* Fri Aug 27 2004 tiwai@suse.de
- updated to version 1.0.6.
- added verbatim copying terms to alsa-firmware README.
* Fri Mar 19 2004 tiwai@suse.de
- fixed the header file path, now included in alsa-lib itself.
- improved/fixed envy24control.
* Mon Mar  1 2004 tiwai@suse.de
- updated to 1.0.3 final.
* Fri Feb 27 2004 tiwai@suse.de
- updated to version 1.0.3rc3.
- built with gtk2.
* Thu Feb 26 2004 tiwai@suse.de
- updated to version 1.0.3rc2.
* Mon Jan 12 2004 adrian@suse.de
- build as user
* Fri Jan  9 2004 tiwai@suse.de
- updated to version 1.0.1.
* Mon Nov 17 2003 tiwai@suse.de
- updated to version 1.0.0pre1.
* Mon Sep 15 2003 tiwai@suse.de
- fixed categories.
- added missing documents for mixartloader.
- added desktop icons.
* Tue Aug  5 2003 tiwai@suse.de
- added desktop files.
- call suse_update_desktop_file macro.
* Mon Jul 28 2003 tiwai@suse.de
- updated to version 0.9.6.
  hdspmixer is included in alsa-tools-gui package.
* Fri Jul 18 2003 tiwai@suse.de
- updated to version 0.9.6-pre.
- split GUI applications to gui subpackage.
* Wed Dec 18 2002 tiwai@suse.de
- updated to 0.9.0rc6.
- including the required header files from alsa-kernel.
- renamed a patch file to avoid the confliction of file names.
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
- changed neededforbuild <xdevel> to <>
* Fri Sep  6 2002 tiwai@suse.de
- added the missing sbi patch files as tarball.
  (bug #19028)
* Wed Jul 31 2002 tiwai@suse.de
- removed xf86 from neededforbuild.
* Fri Jul  5 2002 tiwai@suse.de
- initial version: 0.9.0rc1; split off from alsa package.
